com.r3corda.core.testing / TransactionStateGenerator

# TransactionStateGenerator

`class TransactionStateGenerator<T : ContractState>`

### Constructors

<init> | `TransactionStateGenerator(stateGenerator: <ERROR CLASS><T>)`

### Properties

stateGenerator | `val stateGenerator: <ERROR CLASS><T>`

### Functions

generate | `fun generate(random: <ERROR CLASS>, status: <ERROR CLASS>): TransactionState<T>`